安装python scrapy
0 数据挖掘 rabin 181 阅读 • 10个月前

推荐使用pip来安装,在安装之前,需要安装如下依赖:

ubuntu:

apt-get install python3-dev gcc g++ automake libxml2 libxml2-dev libxslt-dev libffi-dev openssl openssl-dev

centos:

yum install python3-devel gcc g++ automake libxml2 libxml2-devel libxslt-devel libffi-devel openssl openssl-devel

有的个别名字不对,请自行百度查找修改,但依赖库就这些。

之后用pip安装吧:

pip3 install incremental

pip3 install scrapy

评论:0